Linux-en

Error and solutions list of MariaDB or MySQL

maria-seal

Warning: World-writable config file '/etc/my.cnf' is ignored

phenomenon

When I try to start a Mariadb
Warning: World-writable config file '/etc/my.cnf' is ignored
the above error can not be started out.

Cause

issue of privileges.

Solution

It was successfully resolved when you change the permissions.

mysql: Unknown OS character set 'ISO-8859-15'.

When I try to access the DB
mysql: Unknown OS character set 'ISO-8859-15'.
It is what to do if the above error came out.
export LANG=es_ES.ISO-8859-1
export LC_ALL=es_ES.ISO-8859-1

You will be able to access in the above command, restart and settings will return to their original condition. Please teach the person that knows a good way.

We examined whether that can be used in MariaDB.
SnapCrab_NoName_2015-8-31_23-6-56_No-00
It is not available...

Failed! Error: Your password does not satisfy the current policy requirements

Error of the following comes out when you change the root password.
"Failed! Error: Your password does not satisfy the current policy requirements"

MySQL 5.7.8 is validate_password plug-ins in the following rpm package is enabled by default

So, by default, 8 or more characters, there is a need to include four types of uppercase lowercase letters, numbers, symbols.

you need (at least one of) the SUPER,REPLICATION CLIENT privilege(s) for this operation

phenomenon

And the replication settings at mariadb, in a replication user (slave) "show slave status;" After you run the command error has occurred.

Cause

issue of privileges.

Solution

The following command to run on the master side, added the authority.

The used table type doesn't support FULLTEXT indexes

The following errors occurred when you try to use the FULLTEXT in MariaDB5.
The used table type doesn't support FULLTEXT indexes

Since FULLTEXT can be used even InnoDB from MariaDB 10.0.5, to update the MariaDB to the latest version.

Adding a repository

MariaDB10 installation of

Confirmation of the restart and the version of MariaDB10

-Linux-en
-, ,